// PassDlg.cpp : implementation file
//

/*
QuotesNow! is trademark and (C)opyright 1996
by Federated Telecommunications Corp. and
Windows Xpert Systems 

You or any entity using this code must purchase a copy of QuotesNow!
(tm) for each person that will use this source code.  The purchaser/
registered user may freely distribute compiled derivative
(machine readable code only) versions of this code.

Registered Users (Users who have purchased the QuotesNow! (tm) program
from Federated Telecommunications Corp. or Windows Xpert Systems)
Once you have purchased the application, you may use one copy
of the program.  The program is licensed to YOU (the purchaser/user
by name), no other user may legally use the software.
It is understood that you use the software at your own risk.
 Registered Users may produce compiled derivative works of the
 source code provided with this program as long as it's intended use
 is only for use with the QuotesNow! (tm) program by Windows Xpert Systems
 and Federated Telecommunications Corp.  The derivative source code
 may be distributed as long as all notices in all code, including
 copyright and trademark notices remain intact and the author makes it
 clear that the source code may only be used to work with the
 QuotesNow! (tm) program by Windows Xpert Systems and 
 Federated Telecommunications, and that any user of the source code must
 purchase the QuotesNow! (tm) program to use it.  The header files
 (files ending in .h, such as server.h) may not be distributed
 seperately from the QuotesNow! (tm) program.
 The add-in .SRV/.DLL source code itself may only be distributed
 as a derivative work as mentioned above 
 (with all notices intact and the author notifying any potential
 user of the required uses of the source code - only a Registered
 QuotesNow! (tm) user may distribute/use the Source code derivative
 work.)

  */


#include "stdafx.h"
#include "stdafx.h"
#include "resource.h"
#include "PassDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPasswordDlg dialog


CPasswordDlg::CPasswordDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPasswordDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPasswordDlg)
	m_sPass = _T("");
	m_sPass2 = _T("");
	m_sUser = _T("");
	//}}AFX_DATA_INIT
}


void CPasswordDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPasswordDlg)
	DDX_Text(pDX, IDC_EPASS, m_sPass);
	DDX_Text(pDX, IDC_EPASSRETYPE, m_sPass2);
	DDX_Text(pDX, IDC_EUSER, m_sUser);
	//}}AFX_DATA_MAP
	if (pDX->m_bSaveAndValidate)
	{
		if(0!=m_sPass.Compare(m_sPass2))
		{
			//error
			AfxMessageBox(IDS_SPASSFAIL,MB_OK);
			pDX->PrepareEditCtrl(IDC_EPASS);
			pDX->Fail();
		}

	}
}


BEGIN_MESSAGE_MAP(CPasswordDlg, CDialog)
	//{{AFX_MSG_MAP(CPasswordDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPasswordDlg message handlers
